Name: ptpd
Version: 2.2.0	
Release: 4%{?dist}
Summary: PTPd implements the Precision Time protocol (PTP) as defined by the IEEE 1588

Group: System Environment/Daemons
License: BSD
URL: http://ptpd.sourceforge.net/
Source0: http://sourceforge.net/projects/ptpd/files/ptpd/2.2.0/ptpd-2.2.0.tar.gz	
Source1: ptpd-additions.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: systemd

%description
The PTP daemon (PTPd) implements the Precision Time protocol (PTP) as defined 
by the relevant IEEE 1588 standard. PTP was developed to provide very precise
time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 specification for a standard 
(non-boundary) clock. PTPd has been tested with and is known to work properly 
with other IEEE 1588 implementations.

PTPd can run on most 32-bit or 64-bit, little- or big-endian processors. It 
does not require an FPU, so it is great for embedded processors.

%prep
# extract first source implicitly and add in fedora init script and sysconfig
%setup -a 1

%build
cd src
CFLAGS="%{optflags}" make ptpd2


%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
#mkdir -p  %{buildroot}%{_initrddir}
mkdir -p  %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}/%{_unitdir}
#cp -p etc/init.d/ptpd %{buildroot}/%{_initddir}/ptpd
cp -r lib/systemd/system/ptpd2.service  %{buildroot}/%{_unitdir}
cp -p etc/sysconfig/ptpd2 %{buildroot}/%{_sysconfdir}/sysconfig
cp -p src/ptpd2 %{buildroot}/%{_bindir}
cp -p src/ptpd2.8 %{buildroot}/%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/ptpd2
%attr(664,root,root) %{_unitdir}/*
%attr(554,root,root) %{_bindir}/*
%doc COPYRIGHT ChangeLog README RELEASE_NOTES
%{_mandir}/man8/*


%changelog
* Sat May 18 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-4
- added noreplace to sysconfig/ptpd2
* Tue May 14 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-3
- corrected sysconfig and systemd file names
* Fri May 10 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-2
- correct systemd script and init script to use ptpd2
* Tue Mar 26 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-1
- added systemd startup
- binary name has changed to ptpd2, spec modified to reflect this
* Fri Mar 22 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-1
- new upstream version of ptpd
* Wed Dec 01 2010 Jon Kent <jon.kent at, gmail.com> 1.1.0-2
- Cleaned up description
- Moved docs to use %doc tag
- Cleaned up %build section
- Cleaned up the src and init/sysconfig extraction
* Sun Nov 21 2010 Jon Kent <jon.kent at, gmail.com> 1.1.0-1
- First release of ptpd for Fedora
